driver:
  name: docker
  use_sudo: false
  hostname: salt
  privileged: true
  username: kitchen
  volume:
    - /var/run/docker.sock:/docker.sock
  cap_add:
    - sys_admin
  disable_upstart: false
  provision_command:
    - systemctl enable sshd
    - echo 'L /run/docker.sock - - - - /docker.sock' > /etc/tmpfiles.d/docker.conf
  driver_config:
    run_command: /usr/lib/systemd/systemd
    run_options: --entrypoint=/usr/lib/systemd/systemd
transport:
  name: rsync
provisioner:
  name: salt_solo
  salt_version: false
  salt_install: false
  run_salt_call: false
  install_after_init_environment: false
  log_level: info
  sudo: true
  require_chef: false
  retry_on_exit_code:
    - 139
  max_retries: 2
  salt_copy_filter:
    - __pycache__
    - '*.pyc'
    - .bundle
    - .tox
    - .nox
    - .kitchen
    - artifacts
    - Gemfile.lock
  # Remote states needs to be defined and under it testingdir or else
  # the local directory isn't copied over to the VM's/Containers that
  # get spun up.
  remote_states:
    testingdir: /testing
  state_top: {}
  pillars: {}
